Version française
Home     About     Download     Resources     Contact us    
Browse thread
[Caml-list] Meta module in findlib and the need for namespaces
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Michaël_Grünewald <michael-grunewald@w...>
Subject: [Caml-list] Re: We should start using -pack by default when building libraries, (was : Re: Meta module in findlib and the need for namespaces)
Sven LUTHER <luther@dpt-info.u-strasbg.fr> writes:

> On Mon, Sep 23, 2002 at 04:36:19PM +0200, Xavier Leroy wrote:
> > > > Note that dynlink.cma not only contains Meta, but also other modules
> > > > with plain names: Misc, Config, Ident, Path, Types, i.e. names for
> > > > which name clashes are much more likely than for cryptic names.
> > > 
> > > Well, is it not for exactly this kind of problems that the -pack option
> > > was implemented ?
> > 
> > Yes, exactly.
> 
> :)))
> 
> > For other existing libraries, backward compatibility can deter using
> > -pack, but I'd encourage authors of new libraries to use it in order
> > to export only one compilation unit.
> 
> Could we consider making using -pack the standard for a future version of
> ocaml (3.07) and add a -nopack version for those that don't want to use
> it, especially when building .cmas ?

> This would need a bit of discussion first, but mostly, i don't think
> anyone would object to this, at least not very strongly.

So every unmaintained code and Makefiles becomes all suddenly obsoletes ?
This is a really bad thing to do things like this, and it is so easy to
write wrappers scripts over the compiler, so it has defaults suitable for
your needs ... There is no need to modify standards for that.

> That said ...
> 
> John Carr <jfc@MIT.EDU> Wrote :
> 
> | OCaml 3.06 does not support -pack when using native code on a system
> | without the GNU linker.  If you release software that depends on -pack,
> | I will not be able to use it.
> 
> Well, this would cause a problem, which need to be solved before -pack
> is supported as standard. What are exactly the cases were it causes
> problem, (AIX when not using the GNU linker, i guess, but also maybe
> windows ?) and is there any chance this can be solved soonly ?
> 
> Alternatively, this could be a feature that could be enabled/disabled at
> build time ?

E.g. with the `-pack' option ? :)
-- 
Michaël Grünewald <michael-grunewald@wanadoo.fr>  - RSA PGP Key ID: 0x20D90C12
-------------------
To unsubscribe, mail caml-list-request@inria.fr Archives: http://caml.inria.fr
Bug reports: http://caml.inria.fr/bin/caml-bugs FAQ: http://caml.inria.fr/FAQ/
Beginner's list: http://groups.yahoo.com/group/ocaml_beginners